#include "Blog.h"

// implementation of class Blog
// note the Prefix "Blog::" of all methods to indicate their membership
// of class Blog

// constructor, object-variables can be initialized after the single colon
// before the actual initialization block
Blog::Blog(std::string _name) :
name(_name) {
    std::cout << "Blog number " << counter << " with name'" <<
            name << "'constructed" << std::endl;
    id = Blog::counter++;
}
// destructor
Blog::~Blog() {
    std::cout << "Blog destructed" << std::endl;
}
// get-name method
const std::string & Blog::getName() {
    return name;
}

int Blog::getId() {
    return id;
}

int Blog::counter = 0;

